%if 0%{?fedora} > 12
%global with_python3 1
%else
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif

%global scrname munkres

Name:           python-%{scrname}
Version:        1.0.7
Release:        2%{?dist}
Summary:        A Munkres algorithm for Python

License:        BSD
URL:            http://software.clapper.org/munkres/
Source0:        https://pypi.python.org/packages/source/m/%{scrname}/%{scrname}-%{version}.tar.gz
Buildarch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif

%description
The Munkres module provides an implementation of the Munkres algorithm (also
called the Hungarian algorithm or the Kuhn-Munkres algorithm). The algorithm
models an assignment problem as an NxM cost matrix, where each element
represents the cost of assigning the ith worker to the jth job, and it figures
out the least-cost solution, choosing a single item from each row and column in
the matrix, such that no row and no column are used more than once.

%if 0%{?with_python3}
%package -n python3-%{scrname}
Summary:        A Munkres algorithm for Python

Requires:       python3
BuildArch:      noarch

%description -n python3-%{scrname}
The Munkres module provides an implementation of the Munkres algorithm (also
called the Hungarian algorithm or the Kuhn-Munkres algorithm). The algorithm
models an assignment problem as an NxM cost matrix, where each element
represents the cost of assigning the ith worker to the jth job, and it figures
out the least-cost solution, choosing a single item from each row and column in
the matrix, such that no row and no column are used more than once.
%endif

%prep
%setup -q -n %{scrname}-%{version}
rm -rf %{srcname}.egg-info
sed -i -e '/^#!\//, 1d' *.py
%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%{__python2} setup.py build
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%doc CHANGELOG
%license LICENSE
%{python2_sitelib}/%{scrname}.py*
%{python2_sitelib}/%{scrname}*.egg-info

%if 0%{?with_python3}
%files -n python3-%{scrname}
%doc CHANGELOG
%license LICENSE
%{python3_sitelib}/%{scrname}.py*
%{python3_sitelib}/%{scrname}*.egg-info
%{python3_sitelib}/__pycache__/%{scrname}*
%endif # with_python3

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Mar 15 2015 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.7-1
- Update spec file
- Update to latest upstream release 1.0.7

* Fri Sep 13 2013 Ian Weller <iweller@redhat.com> - 1.0.5.4-1
- Initial package build
